Subject: Re: bug#32120: 26.1; In python.el tab-width should default to 4

From: Carlos Pita <[email-masked]>
Date: Wed, 11 Jul 2018 14:25:57 -0300

> Right. What is your justification for wanting this to be 4?
> Python generally discourages tabs, but when they are present, seems to
> follow the historical convention mapping them to 8 spaces.

Sure, I don't want to enter tab characters at all, I just want to
rigidly indent using 4-space tab stops. And setting tab-width to 4 and
indent-tabs-mode to nil makes C-x Tab S-Right do just that.